#include <stdio.h>
#include <stdlib.h>
#include "c2gnuplot.h" 
#include <math.h>

int main()
{
srand48(10);

gnuplot_window Window; //Create a new gnuplot window with name Window


/*	Function for fit */

Window.fit_function="a*x**b";

/*	Set the initial values of fit parameters   */

Window.command("a=1.0");
Window.command("b=1.0");

/*	Set the fit range
 *	Without this line, automatic range will be assumed
 */

Window.fit_range="1:*";

/*
 *	Open gnuplot for data fit. Gnuplot will wait for the
 *	incomming data set. Data is pushed to  gnuplot
 *	by the data() procedure.
 *	The input variables of fit() function are the typical
 *	"right side" directions of gnuplot fit functions 
 *	(see the gnuplot manual).
 */

Window.fit("via a,b");
/*
 *	Writing data for data fit
 */
for(int i=1; i<1000; i++)
	{	
			 Window.data("%d %f\n", i, drand48()+i);
	}

Window.flush(); //flushing output (data is fitted after this procedure

printf("Fit variable a = %f\n",Window.get_variable("a"));
printf("Fit variable b = %f\n",Window.get_variable("b"));


return 0;
}
